| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IStaticDescriptorStorage Struct Referenceabstract

Static descriptor storage interface. More...

`#include <IIndex.h>`

Inheritance diagram for fsdk::IStaticDescriptorStorage:

## Public Member Functions
virtual Result< FSDKError > | descriptorByIndex (const DescriptorId index, IDescriptor *descriptor) const noexcept=0
| Requests descriptor data out of internal storage. More...
virtual uint32_t | getDescriptorVersion () const noexcept=0
| Return version of stored descriptors. More...
virtual uint64_t | size () const noexcept=0
| Return size of internal storage. More...

## Detailed Description

Static descriptor storage interface.

You may think of it as read only access to some internal container.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IStaticDescriptorStorage::descriptorByIndex | ( | const DescriptorId | index,
|  | IDescriptor * | descriptor
| ) |  | const
| pure virtual noexcept

Requests descriptor data out of internal storage.

Parameters

  [in] | index | Identification value of some descriptor. Might be received either by using

See Also
  IDynamicDescriptorStorage::append methods, or as output of
  IIndex::search query. Must be less than
  size().

Parameters

  [out] | descriptor | Ptr to created descriptor object with correctly set version and length. Only changes data of passed descriptor.

Returns
  Result with error code.

See Also
  IDescriptor, DescriptorId, Result and FSDKError for details.

virtual uint32_t fsdk::IStaticDescriptorStorage::getDescriptorVersion | ( |  | ) | const
| pure virtual noexcept

Return version of stored descriptors.

Returns
  Version of stored descriptors. If not initialized, 0 is returned.

virtual uint64_t fsdk::IStaticDescriptorStorage::size | ( |  | ) | const
| pure virtual noexcept

Return size of internal storage.

Returns
  Size of internal storage. If not initialized, 0 is returned.

The documentation for this struct was generated from the following file:

- include/fsdk/IIndex.h